Skip to main content

Create Expense

POST /public/action/expenses/create

Records an expense, optionally billable to a client.

Authentication: X-API-KEY header (see Authentication).

Request body

FieldTypeDescription
datedatetimeExpense date.
amountnumberAmount.
markupPercentagenumberMarkup applied when billed to a client.
currencystringCurrency code.
paidbooleanWhether the expense is paid.
reimbursablebooleanWhether it is reimbursable / billable.
categorystringExpense category.
billNostringBill / receipt number.
descriptionstringShort description.
notesstringNotes.
vendorstringVendor name.
clientNamestringClient to bill (optional).

Request

curl -X POST https://api.withmoxie.com/public/action/expenses/create \
-H "X-API-KEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"date": "2026-07-08T00:00:00Z", "amount": 120.00, "currency": "EUR", "vendor": "Adobe", "description": "Stock photos"}'

Response

Returns the created Expense.

{
"id": "66b0f7d4c3a9e40012ab7722",
"accountId": 10016,
"amount": 120.00,
"currency": "EUR",
"category": "Software",
"vendorId": null,
"clientId": null,
"billNo": null,
"description": "Stock photos",
"paid": false,
"reimbursable": false,
"dateCreated": "2026-07-08T00:00:00Z"
}